Subject: bug#69915: 30.0.50; mouse-autoselect-window has no effect in terminal

From: Jared Finder <[email-masked]>
Date: Thu, 04 Apr 2024 09:32:28 -0700

On 2024-04-01 04:40, Eli Zaretskii wrote:
> On 2024-04-02 00:50, martin rudalics wrote:
>> Jared and Olaf, so I think the minibuffer test in the patch should
>> stay, but please see Martin's suggestions above.
> 
>> Martin, did you mean we should change Olaf's patch to xt-mouse.el use
>> minibuffer-window-active-p or we should change handle-select-window in
>> window.el to use minibuffer-window-active-p?
>> 
>> I have a preference to keep xt-mouse.el aligned with xterm.c as well
>> as other native code checks, all which use MINI_WINDOW_P
>> (window-minibuffer-p in Lisp) currently.
> 
> 'minibuffer-window-active-p' should be more accurate but I do not fully
> understand its semantics any more.  For anything you and Olaf do, I'd
> recommend 'window-minibuffer-p' / MINI_WINDOW_P.

Eli, given this feedback I don't think Olaf's patch should be altered as 
it currently uses window-minibuffer-p.  Let me know if you would like 
any further changes.

   -- MJF